---
# First let's define "all" group
all:
  # We could have put all hosts in "all" group and then reuse their names in children groups
  # Instead we will define them in each child group
  children:

    # webservers is a group
    webservers:

      # Let's define hosts in group webservers
      hosts:

        # Define first host.
        capdatalab.xyz:
          # If the host is reachable through its hostname ansible_host is not needed.
          # That should always be the case when using letsencrypt but I put it as example
          # of per host variable
          ansible_host: 188.166.21.43
        # If you had more servers you could add them below:
        # vps-02:
        #   ansible_host: 188.166.21.44

      # All hosts in webservers group will share those variables
      vars:
        # Change user from which you want to take remote control
        ansible_user: root
        # If user is not root and you want to use priviledge escalation use:
        # ansible_become: true
        # Debian hosts need python3 as ansible_python_interpreter.
        # Centos and RHEL hosts will need python2
        ansible_python_interpreter: /usr/bin/python3
